# Poco

# class LibraryAlreadyLoadedException

Library: Foundation
Package: Core
Header: Poco/Exception.h

## Inheritance

Direct Base Classes: RuntimeException

All Base Classes: Exception, RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### LibraryAlreadyLoadedException

LibraryAlreadyLoadedException(
int code = 0
);

### LibraryAlreadyLoadedException

LibraryAlreadyLoadedException(
const LibraryAlreadyLoadedException & exc
);

### LibraryAlreadyLoadedException

LibraryAlreadyLoadedException(
const std::string & msg,
int code = 0
);

### LibraryAlreadyLoadedException

LibraryAlreadyLoadedException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### LibraryAlreadyLoadedException

LibraryAlreadyLoadedException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~LibraryAlreadyLoadedException

~LibraryAlreadyLoadedException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::RuntimeException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::RuntimeException::name()

### operator =

LibraryAlreadyLoadedException & operator = (
const LibraryAlreadyLoadedException & exc
);

### rethrow

void rethrow() const;

See also: Poco::RuntimeException::rethrow()